# Class AreaSeries

java.lang.Object
com.codename1.charts.models.AreaSeries

public class AreaSeries extends Object
A series for the category charts like the radar ones.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AreaSeries()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSeries(CategorySeries series)`
  Adds a new Category series to the table.
  `void`
  `clear()`
  Removes all data.
  `String[]`
  `getCategories()`
  Returns an array of the Categories.
  `int`
  `getCategoriesCount()`
  Returns the Categories count.
  `String[]`
  `getSeries()`
  Returns an array of the Series.
  `int`
  `getSeriesCount()`
  Returns the Series count.
  `double`
  `getValue(int index, String category)`
  Returns the value at the specific index and category.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### AreaSeries

    public AreaSeries()

- ## Method Details

  - ### addSeries

    public void addSeries(CategorySeries series)

    Adds a new Category series to the table.

    ###### Parameters

    - `series`: the Category series to add

  - ### clear

    public void clear()
    Removes all data.

  - ### getCategoriesCount

    public int getCategoriesCount()

    Returns the Categories count.

    ###### Returns

    the Categories count

  - ### getSeriesCount

    public int getSeriesCount()

    Returns the Series count.

    ###### Returns

    the Series series count

  - ### getCategories

    public String[] getCategories()

    Returns an array of the Categories.

    ###### Returns

    the Categories array

  - ### getSeries

    public String[] getSeries()

    Returns an array of the Series.

    ###### Returns

    the Series array

  - ### getValue

    public double getValue(int index, String category)

    Returns the value at the specific index and category.

    ###### Parameters

    - `index`: the index

    - `category`: the category

    ###### Returns

    the value